gstreamermm: Gst::IndexEntry Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Related Functions
Gst::IndexEntry Class Reference

The basic element of an index. More...

List of all members.

## Public Member Functions
| IndexEntry ()
| IndexEntry (GstIndexEntry* castitem, bool make_a_copy=false)
| IndexEntry (const IndexEntry& src)
IndexEntry& | operator= (const IndexEntry& src)
| ~IndexEntry ()
GstIndexEntry* | gobj ()
const GstIndexEntry* | gobj () const
GstIndexEntry* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
bool | assoc_map (Format format, gint64&value) const
| Gets alternative formats associated with the indexentry.
## Protected Attributes
GstIndexEntry* | gobject_
## Related Functions
(Note that these are not member functions.)
Gst::IndexEntry | wrap (GstIndexEntry* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The basic element of an index.

## Constructor & Destructor Documentation

Gst::IndexEntry::IndexEntry | ( |  | ) |

Gst::IndexEntry::IndexEntry | ( | GstIndexEntry * | castitem,
|  | bool | make_a_copy = `false`
| ) |  | `[explicit]`

Gst::IndexEntry::IndexEntry | ( | const IndexEntry& | src | ) |

Gst::IndexEntry::~IndexEntry | ( |  | ) |

## Member Function Documentation

bool Gst::IndexEntry::assoc_map | ( | Format | format,
|  | gint64 & | value
| ) |  | const

Gets alternative formats associated with the indexentry.

Parameters:

  format | The format of the value the find.
  value | A pointer to store the value.

Returns:
  `true` if there was a value associated with the given format.

GstIndexEntry* Gst::IndexEntry::gobj | ( |  | ) | `[inline]`

const GstIndexEntry* Gst::IndexEntry::gobj | ( |  | ) | const`[inline]`

GstIndexEntry* Gst::IndexEntry::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

IndexEntry& Gst::IndexEntry::operator= | ( | const IndexEntry& | src | ) |

## Friends And Related Function Documentation

Gst::IndexEntry wrap | ( | GstIndexEntry * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GstIndexEntry* Gst::IndexEntry::gobject_`[protected]`

The documentation for this class was generated from the following file:

- gstreamermm/index.h